Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.servlet
Class PageContextHandler

    java.lang.Object
      org.apache.commons.jxpath.servlet.PageContextHandler

All Implemented Interfaces:
  DynamicPropertyHandler

    public class PageContextHandler

extends Object
implements DynamicPropertyHandler

Implementation of the `DynamicPropertyHandler` interface that provides access to attributes of a `PageContext` in all scopes.

Version:
  $Revision: 668329 $ $Date: 2008-06-16 16:59:48 -0500 (Mon, 16 Jun 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`PageContextHandler()`

Method Summary
`Object` | `getProperty(Object pageContext, String property)` Returns `pageContext.findAttribute(property)`.
`String[]` | `getPropertyNames(Object pageContext)` Returns a list of dynamic property names for the supplied object.
`void` | `setProperty(Object pageContext, String property, Object value)` Modifies the value of the specified dynamic property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageContextHandler

    public PageContextHandler()

Method Detail

### getPropertyNames

    public String[] getPropertyNames(Object pageContext)

  Description copied from interface: `DynamicPropertyHandler`
  Returns a list of dynamic property names for the supplied object.

  Specified by:
    `getPropertyNames` in interface `DynamicPropertyHandler`
  Parameters:
    `pageContext` - to inspect
  Returns:
    String[]

### getProperty

    public Object getProperty(Object pageContext,
                              String property)

  Returns `pageContext.findAttribute(property)`.

  Specified by:
    `getProperty` in interface `DynamicPropertyHandler`
  Parameters:
    `pageContext` - to search
    `property` - name
  Returns:
    Object value

### setProperty

    public void setProperty(Object pageContext,
                            String property,
                            Object value)

  Description copied from interface: `DynamicPropertyHandler`
  Modifies the value of the specified dynamic property.

  Specified by:
    `setProperty` in interface `DynamicPropertyHandler`
  Parameters:
    `pageContext` - to modify
    `property` - to modify
    `value` - to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.